Page MenuHomePhabricator

Make all /r/project/* paths in phabricator accessible without login
Closed, ResolvedPublic

Description

There are redirects implemented to translate paths from our git repositories to diffusion callsigns. That's because we have templates on mediawiki.org linking to git repositories, like Template:WikimediaDownload, based on the extension name.

For example, on the Extension:Echo page, there's a link to the repo summary pointing to https://phabricator.wikimedia.org/r/project/mediawiki/extensions/Echo/, which redirects to https://phabricator.wikimedia.org/diffusion/ECHO/

The problem here is that, while the repository URL is public, the URL prior to the redirect is not, displaying a login form for people not logged in. Hence, for now the link to git.wikimedia.org was restored: https://www.mediawiki.org/w/index.php?title=Template:WikimediaDownload&diff=prev&oldid=1995153

I think this should be a simple matter of permissions under the /r/project/ path.

Event Timeline

Ciencia_Al_Poder raised the priority of this task from to Needs Triage.
Ciencia_Al_Poder updated the task description. (Show Details)
Ciencia_Al_Poder added a project: Phabricator.
Ciencia_Al_Poder added a subscriber: Ciencia_Al_Poder.
Restricted Application added subscribers: StudiesWorld, Luke081515, scfc, Aklapper. · View Herald TranscriptDec 30 2015, 8:26 PM

I guess this is a general bug, because I can't see a change to fix it at configuration settings. Echo is visible for all users, and Diffusion in general too, so I don't see a chance to fix it, by changing the config here, so we need to report it upstream.

How is the redirect performed from /r/project/ to /diffussion? Is it done by phabricator itself, an extension, or some kind of rewrite rule?

It should be done by phabricator I think, so this is a phabricator bug.

Krenair claimed this task.Dec 30 2015, 10:20 PM

Yes, but not upstream. Patch coming up.

Krenair set Security to None.

Change 261725 had a related patch set uploaded (by Alex Monk):
Gerrit: /r/project redirect paths are public

https://gerrit.wikimedia.org/r/261725

Nemo_bis updated the task description. (Show Details)Dec 31 2015, 8:55 AM
Paladox added a subscriber: Paladox.Jan 1 2016, 6:44 PM

Change 261725 merged by 20after4:
Gerrit: /r/project redirect paths are public

https://gerrit.wikimedia.org/r/261725

mmodell closed this task as Resolved.Jan 2 2016, 3:36 AM

I've just deployed @Krenair's patch and it fixed the issue.